Public Member Functions | Private Attributes

# LanguageScanner Class Reference

Scanner to find language files in a GameScript directory. More...

Inheritance diagram for LanguageScanner:

## Public Member Functions
| LanguageScanner (GameStrings *gs, const char *exclude)
| Initialise.
void | Scan (const char *directory)
| Scan.
bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)
| Add a file with the given filename.
## Private Attributes
GameStrings * | gs
char * | exclude

## Detailed Description

Scanner to find language files in a GameScript directory.

Definition at line 230 of file game_text.cpp.

## Member Function Documentation

bool LanguageScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length,
|  | const char * | tar_filename |
| ) |  |  | `[inline, virtual]`

Add a file with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a filename relative to the search path.
  | tar_filename | the name of the tar file the file is read from.

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 248 of file game_text.cpp.

References SmallVector< T, S >::Append(), GameStrings::raw_strings, and ReadRawLanguageStrings().

The documentation for this class was generated from the following file:

- src/game/game_text.cpp